Summary: Revision Control System (RCS) file version management tools
Name: rcs
Version: 5.10.1
Release:    1%{?dist}
License: GPL-3.0-or-later
URL: http://www.gnu.org/software/rcs/
Source0: http://ftp.gnu.org/gnu/rcs/%{name}-%{version}.tar.lz
Patch0: rcs-configure-c99.patch

Provides: bundled(gnulib)
BuildRequires: make
BuildRequires: gcc
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: groff
BuildRequires: ghostscript
BuildRequires: ed
BuildRequires: texinfo
BuildRequires: lzip
Requires: diffutils

%description
The Revision Control System (RCS) is a system for managing multiple
versions of files.  RCS automates the storage, retrieval, logging,
identification and merging of file revisions.  RCS is useful for text
files that are revised frequently (for example, programs,
documentation, graphics, papers and form letters).

The rcs package should be installed if you need a system for managing
different versions of files.

%prep
%autosetup -p1

autoconf

%build
%configure --with-diffutils
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install

install -m 755 src/rcsfreeze %{buildroot}%{_bindir}

rm -f %{buildroot}/%{_infodir}/dir

%check
make check XFAIL_TESTS="`tests/known-failures %{version}`"

%files
%doc ChangeLog COPYING THANKS NEWS README
%{_bindir}/*
%{_mandir}/man[15]/*
%{_infodir}/*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.10.1-1
- initial build
